# Инструкция по использованию

1. Результат сборки `build/libs/asterisk.war` положить в `/opt/synergy/jboss/standalone/deployments`

2. Создать конфиг файл в `/opt/synergy/jboss/standalone/configuration/arta/apps/asterisk/asterisk.properties` со следующим содержимым

```$text
synergy.address=http://host:port/Synergy
user.login=login
user.password=password

asterisk.enabled=true
asterisk.login=asterisklogin
asterisk.password=asteriskpass
asterisk.addresses=10.52.4.10,10.58.4.10,10.54.4.10,10.40.4.10,10.44.4.10,10.46.4.10
#not called 10.38.4.10
#not connect 10.36.4.10
#not called 10.34.4.10
#not tested 10.42.4.10

actualizeOnDeploy=false

ldap.sync.enabled=false
```


3. Создать ВМК в `ip:8080/Configurator`, подключиться по EventSource:
```
jQuery(document).ready(function () {
    var isLogin = setInterval(function () {
        if (AS.OPTIONS.login && AS.OPTIONS.login != '') {
            createWebSocket();
            clearInterval(isLogin);
        }
    }, 100);
});

function createWebSocket() {
    var eventSource = new EventSource("/asterisk/demo?userID=" +  AS.OPTIONS.currentUser.userId);
    eventSource.onmessage = function(event) {
        //TODO: ваша логика
        console.log(event);
    };
}

```
